Bug 1120037 - [abrt] rhythmbox: strlen(): rhythmbox killed by SIGSEGV
Summary: [abrt] rhythmbox: strlen(): rhythmbox killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:19b6346cd7c185fd03086244025...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 06:23 UTC by Pierre
Modified: 2015-06-29 21:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:36:45 UTC


Attachments (Terms of Use)
File: backtrace (109.78 KB, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: core_backtrace (69.46 KB, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: dso_list (28.99 KB, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: environ (1.78 KB, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: maps (131.15 KB, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: open_fds (2.02 KB, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details
File: var_log_messages (344 bytes, text/plain)
2014-07-16 06:23 UTC, Pierre
no flags Details

Description Pierre 2014-07-16 06:23:12 UTC
Version-Release number of selected component:
rhythmbox-3.0.3-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/rhythmbox
crash_function: strlen
executable:     /usr/bin/rhythmbox
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 create_store_key at rb-ext-db-key.c:534
 #2 rb_ext_db_key_lookups at rb-ext-db-key.c:566
 #3 rb_ext_db_lookup at rb-ext-db.c:585
 #4 rb_ext_db_request at rb-ext-db.c:686
 #5 request_cover_art at rb-visualizer-fullscreen.c:119
 #10 rb_shell_player_stop at rb-shell-player.c:2146
 #11 rb_shell_player_handle_eos_unlocked at rb-shell-player.c:428
 #16 _rb_player_emit_eos at rb-player.c:603
 #17 rb_player_gst_xfade_bus_cb at rb-player-gst-xfade.c:1826

Potential duplicate: bug 919779

Comment 1 Pierre 2014-07-16 06:23:16 UTC
Created attachment 918320 [details]
File: backtrace

Comment 2 Pierre 2014-07-16 06:23:17 UTC
Created attachment 918321 [details]
File: cgroup

Comment 3 Pierre 2014-07-16 06:23:19 UTC
Created attachment 918322 [details]
File: core_backtrace

Comment 4 Pierre 2014-07-16 06:23:21 UTC
Created attachment 918323 [details]
File: dso_list

Comment 5 Pierre 2014-07-16 06:23:22 UTC
Created attachment 918324 [details]
File: environ

Comment 6 Pierre 2014-07-16 06:23:23 UTC
Created attachment 918325 [details]
File: exploitable

Comment 7 Pierre 2014-07-16 06:23:24 UTC
Created attachment 918326 [details]
File: limits

Comment 8 Pierre 2014-07-16 06:23:27 UTC
Created attachment 918327 [details]
File: maps

Comment 9 Pierre 2014-07-16 06:23:28 UTC
Created attachment 918328 [details]
File: open_fds

Comment 10 Pierre 2014-07-16 06:23:29 UTC
Created attachment 918329 [details]
File: proc_pid_status

Comment 11 Pierre 2014-07-16 06:23:30 UTC
Created attachment 918330 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:23:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:36:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.